Changeset 2109


Ignore:
Timestamp:
Jan 17, 2015 1:01:55 PM (3 years ago)
Author:
tkr
Message:

Updating externals and re-running autotools

Location:
trunk
Files:
6 edited

Legend:

Unmodified
Added
Removed
  • trunk

    • Property svn:externals
      •  

        old new  
        1 BuildTools        https://projects.coin-or.org/svn/BuildTools/stable/0.7
        2 ThirdParty/ASL    https://projects.coin-or.org/svn/BuildTools/ThirdParty/ASL/stable/1.2
        3 ThirdParty/Blas   https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/stable/1.3
        4 ThirdParty/Lapack https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/stable/1.4
        5 ThirdParty/Glpk   https://projects.coin-or.org/svn/BuildTools/ThirdParty/Glpk/stable/1.9
        6 ThirdParty/Metis  https://projects.coin-or.org/svn/BuildTools/ThirdParty/Metis/stable/1.2
        7 ThirdParty/Mumps  https://projects.coin-or.org/svn/BuildTools/ThirdParty/Mumps/stable/1.4
         1BuildTools        https://projects.coin-or.org/svn/BuildTools/stable/0.8
         2ThirdParty/ASL    https://projects.coin-or.org/svn/BuildTools/ThirdParty/ASL/stable/1.3
         3ThirdParty/Blas   https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/stable/1.4
         4ThirdParty/Lapack https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/stable/1.5
         5ThirdParty/Glpk   https://projects.coin-or.org/svn/BuildTools/ThirdParty/Glpk/stable/1.10
         6ThirdParty/Metis  https://projects.coin-or.org/svn/BuildTools/ThirdParty/Metis/stable/1.3
         7ThirdParty/Mumps  https://projects.coin-or.org/svn/BuildTools/ThirdParty/Mumps/stable/1.5
        88Data/Sample       https://projects.coin-or.org/svn/Data/Sample/stable/1.2
        99Data/miplib3      https://projects.coin-or.org/svn/Data/miplib3/stable/1.2
         
        1212Clp               https://projects.coin-or.org/svn/Clp/trunk/Clp
        1313Osi               https://projects.coin-or.org/svn/Osi/trunk/Osi
        14 
  • trunk/Cbc/configure

    r1988 r2109  
    19891989
    19901990
    1991  case $build in
    1992   *-mingw*)
    1993     if test "${LD+set}" = set; then :; else
    1994       LD=link
    1995     fi
    1996     ;;
    1997  esac
    1998  if test $enable_msvc = yes ; then
    1999    if test "x${LD+set}" = xset; then :; else
    2000      LD=link
    2001    fi
    2002  fi
    2003 
    2004 
    2005 
    20061991
    20071992ac_ext=c
     
    21072092             fi
    21082093             ;;
     2094  *-*-darwin*) comps="clang gcc cc" ;;
    21092095  *-linux-gnu*) comps="gcc cc pgcc icc xlc" ;;
    21102096  *-linux-*) comps="xlc gcc cc pgcc icc" ;;
     
    32243210  clang* ) ;;
    32253211  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3226 
    3227  case $build in
    3228   *-mingw*)
    3229     if test "${LD+set}" = set; then :; else
    3230       LD=link
    3231     fi
    3232     ;;
    3233  esac
    3234  if test $enable_msvc = yes ; then
    3235    if test "x${LD+set}" = xset; then :; else
    3236      LD=link
    3237    fi
    3238  fi
    3239 
     3212    LD=link
    32403213    ;;
    32413214esac
     
    32763249  *-*-solaris*)
    32773250             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
    3278   *-darwin*) comps="g++ c++ CC" ;;
     3251  *-darwin*) comps="clang++ g++ c++ CC" ;;
    32793252  *-linux-gnu*)
    32803253             comps="g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC xlC_r aCC CC" ;;
     
    37133686# It seems that we need to cleanup something here for the Windows
    37143687case "$CXX" in
    3715   clang* ) ;;
     3688  clang* | */clang*) ;;
    37163689  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    37173690    sed -e 's/^void exit (int);//' confdefs.h >> confdefs.hh
     
    41134086fi
    41144087
    4115 # correct the LD variable in a mingw build with MS or intel compiler
     4088# correct the LD variable in a build with MS or intel compiler
    41164089case "$CXX" in
    41174090  clang* ) ;;
    41184091  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4119 
    4120  case $build in
    4121   *-mingw*)
    4122     if test "${LD+set}" = set; then :; else
    4123       LD=link
    4124     fi
    4125     ;;
    4126  esac
    4127  if test $enable_msvc = yes ; then
    4128    if test "x${LD+set}" = xset; then :; else
    4129      LD=link
    4130    fi
    4131  fi
    4132 
     4092    LD=link
    41334093    ;;
    41344094esac
     
    41594119  enable_shared=yes;
    41604120else
    4161   # On Cygwin and AIX, building DLLs doesn't work
    41624121  case $build in
    41634122    *-cygwin* | *-mingw*)
     
    41664125        case "$CC" in
    41674126          clang* )
    4168             { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice." >&5
    4169 echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice." >&2;}
     4127            { echo "$as_me:$LINENO: WARNING: Building of DLLs not supported in this configuration." >&5
     4128echo "$as_me: WARNING: Building of DLLs not supported in this configuration." >&2;}
    41704129            ;;
    41714130          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4172             { echo "$as_me:$LINENO: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&5
    4173 echo "$as_me: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&6;}
     4131            { echo "$as_me:$LINENO: Building of DLLs not supported in this configuration." >&5
     4132echo "$as_me: Building of DLLs not supported in this configuration." >&6;}
    41744133            ;;
    41754134          *gcc*)
     
    41774136              coin_disable_shared=no
    41784137            else
    4179               { echo "$as_me:$LINENO: WARNING: To build shared libraries with gcc on CYGWIN or MSys, use --enable-dependency-linking" >&5
    4180 echo "$as_me: WARNING: To build shared libraries with gcc on CYGWIN or MSys, use --enable-dependency-linking" >&2;}
     4138              { echo "$as_me:$LINENO: WARNING: Dependency linking seems to be disabled, so shared libraries (DLLs) will not be built" >&5
     4139echo "$as_me: WARNING: Dependency linking seems to be disabled, so shared libraries (DLLs) will not be built" >&2;}
    41814140            fi
    41824141            ;;
    41834142          *)
    4184             { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice." >&5
    4185 echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice." >&2;}
     4143            { echo "$as_me:$LINENO: WARNING: Building of DLLs not supported in this configuration." >&5
     4144echo "$as_me: WARNING: Building of DLLs not supported in this configuration." >&2;}
    41864145            ;;
    41874146        esac
     
    41924151      platform=AIX
    41934152      if test x"$enable_shared" = xyes; then
    4194         { echo "$as_me:$LINENO: WARNING: Shared objects are not supported. I'm disabling your choice." >&5
    4195 echo "$as_me: WARNING: Shared objects are not supported. I'm disabling your choice." >&2;}
     4153        { echo "$as_me:$LINENO: WARNING: Shared objects are not supported." >&5
     4154echo "$as_me: WARNING: Shared objects are not supported." >&2;}
    41964155      fi
    41974156    ;;
     
    59105869*-*-irix6*)
    59115870  # Find out which ABI we are using.
    5912   echo '#line 5912 "configure"' > conftest.$ac_ext
     5871  echo '#line 5871 "configure"' > conftest.$ac_ext
    59135872  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    59145873  (eval $ac_compile) 2>&5
     
    70447003
    70457004# Provide some information about the compiler.
    7046 echo "$as_me:7046:" \
     7005echo "$as_me:7005:" \
    70477006     "checking for Fortran 77 compiler version" >&5
    70487007ac_compiler=`set X $ac_compile; echo $2`
     
    81118070   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81128071   -e 's:$: $lt_compiler_flag:'`
    8113    (eval echo "\"\$as_me:8113: $lt_compile\"" >&5)
     8072   (eval echo "\"\$as_me:8072: $lt_compile\"" >&5)
    81148073   (eval "$lt_compile" 2>conftest.err)
    81158074   ac_status=$?
    81168075   cat conftest.err >&5
    8117    echo "$as_me:8117: \$? = $ac_status" >&5
     8076   echo "$as_me:8076: \$? = $ac_status" >&5
    81188077   if (exit $ac_status) && test -s "$ac_outfile"; then
    81198078     # The compiler can only warn and ignore the option if not recognized
     
    83798338   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83808339   -e 's:$: $lt_compiler_flag:'`
    8381    (eval echo "\"\$as_me:8381: $lt_compile\"" >&5)
     8340   (eval echo "\"\$as_me:8340: $lt_compile\"" >&5)
    83828341   (eval "$lt_compile" 2>conftest.err)
    83838342   ac_status=$?
    83848343   cat conftest.err >&5
    8385    echo "$as_me:8385: \$? = $ac_status" >&5
     8344   echo "$as_me:8344: \$? = $ac_status" >&5
    83868345   if (exit $ac_status) && test -s "$ac_outfile"; then
    83878346     # The compiler can only warn and ignore the option if not recognized
     
    84838442   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84848443   -e 's:$: $lt_compiler_flag:'`
    8485    (eval echo "\"\$as_me:8485: $lt_compile\"" >&5)
     8444   (eval echo "\"\$as_me:8444: $lt_compile\"" >&5)
    84868445   (eval "$lt_compile" 2>out/conftest.err)
    84878446   ac_status=$?
    84888447   cat out/conftest.err >&5
    8489    echo "$as_me:8489: \$? = $ac_status" >&5
     8448   echo "$as_me:8448: \$? = $ac_status" >&5
    84908449   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    84918450   then
     
    1082810787  lt_status=$lt_dlunknown
    1082910788  cat > conftest.$ac_ext <<EOF
    10830 #line 10830 "configure"
     10789#line 10789 "configure"
    1083110790#include "confdefs.h"
    1083210791
     
    1092810887  lt_status=$lt_dlunknown
    1092910888  cat > conftest.$ac_ext <<EOF
    10930 #line 10930 "configure"
     10889#line 10889 "configure"
    1093110890#include "confdefs.h"
    1093210891
     
    1327213231   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1327313232   -e 's:$: $lt_compiler_flag:'`
    13274    (eval echo "\"\$as_me:13274: $lt_compile\"" >&5)
     13233   (eval echo "\"\$as_me:13233: $lt_compile\"" >&5)
    1327513234   (eval "$lt_compile" 2>conftest.err)
    1327613235   ac_status=$?
    1327713236   cat conftest.err >&5
    13278    echo "$as_me:13278: \$? = $ac_status" >&5
     13237   echo "$as_me:13237: \$? = $ac_status" >&5
    1327913238   if (exit $ac_status) && test -s "$ac_outfile"; then
    1328013239     # The compiler can only warn and ignore the option if not recognized
     
    1337613335   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1337713336   -e 's:$: $lt_compiler_flag:'`
    13378    (eval echo "\"\$as_me:13378: $lt_compile\"" >&5)
     13337   (eval echo "\"\$as_me:13337: $lt_compile\"" >&5)
    1337913338   (eval "$lt_compile" 2>out/conftest.err)
    1338013339   ac_status=$?
    1338113340   cat out/conftest.err >&5
    13382    echo "$as_me:13382: \$? = $ac_status" >&5
     13341   echo "$as_me:13341: \$? = $ac_status" >&5
    1338313342   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1338413343   then
     
    1494614905   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1494714906   -e 's:$: $lt_compiler_flag:'`
    14948    (eval echo "\"\$as_me:14948: $lt_compile\"" >&5)
     14907   (eval echo "\"\$as_me:14907: $lt_compile\"" >&5)
    1494914908   (eval "$lt_compile" 2>conftest.err)
    1495014909   ac_status=$?
    1495114910   cat conftest.err >&5
    14952    echo "$as_me:14952: \$? = $ac_status" >&5
     14911   echo "$as_me:14911: \$? = $ac_status" >&5
    1495314912   if (exit $ac_status) && test -s "$ac_outfile"; then
    1495414913     # The compiler can only warn and ignore the option if not recognized
     
    1505015009   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1505115010   -e 's:$: $lt_compiler_flag:'`
    15052    (eval echo "\"\$as_me:15052: $lt_compile\"" >&5)
     15011   (eval echo "\"\$as_me:15011: $lt_compile\"" >&5)
    1505315012   (eval "$lt_compile" 2>out/conftest.err)
    1505415013   ac_status=$?
    1505515014   cat out/conftest.err >&5
    15056    echo "$as_me:15056: \$? = $ac_status" >&5
     15015   echo "$as_me:15015: \$? = $ac_status" >&5
    1505715016   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1505815017   then
     
    1725717216   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1725817217   -e 's:$: $lt_compiler_flag:'`
    17259    (eval echo "\"\$as_me:17259: $lt_compile\"" >&5)
     17218   (eval echo "\"\$as_me:17218: $lt_compile\"" >&5)
    1726017219   (eval "$lt_compile" 2>conftest.err)
    1726117220   ac_status=$?
    1726217221   cat conftest.err >&5
    17263    echo "$as_me:17263: \$? = $ac_status" >&5
     17222   echo "$as_me:17222: \$? = $ac_status" >&5
    1726417223   if (exit $ac_status) && test -s "$ac_outfile"; then
    1726517224     # The compiler can only warn and ignore the option if not recognized
     
    1752517484   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1752617485   -e 's:$: $lt_compiler_flag:'`
    17527    (eval echo "\"\$as_me:17527: $lt_compile\"" >&5)
     17486   (eval echo "\"\$as_me:17486: $lt_compile\"" >&5)
    1752817487   (eval "$lt_compile" 2>conftest.err)
    1752917488   ac_status=$?
    1753017489   cat conftest.err >&5
    17531    echo "$as_me:17531: \$? = $ac_status" >&5
     17490   echo "$as_me:17490: \$? = $ac_status" >&5
    1753217491   if (exit $ac_status) && test -s "$ac_outfile"; then
    1753317492     # The compiler can only warn and ignore the option if not recognized
     
    1762917588   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1763017589   -e 's:$: $lt_compiler_flag:'`
    17631    (eval echo "\"\$as_me:17631: $lt_compile\"" >&5)
     17590   (eval echo "\"\$as_me:17590: $lt_compile\"" >&5)
    1763217591   (eval "$lt_compile" 2>out/conftest.err)
    1763317592   ac_status=$?
    1763417593   cat out/conftest.err >&5
    17635    echo "$as_me:17635: \$? = $ac_status" >&5
     17594   echo "$as_me:17594: \$? = $ac_status" >&5
    1763617595   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1763717596   then
     
    2051920478  dependency_linking="$enableval"
    2052020479else
     20480  dependency_linking=auto
     20481fi;
     20482
     20483if test "$dependency_linking" = auto; then
     20484  # On Cygwin and AIX, building DLLs doesn't work
    2052120485  dependency_linking=no
    20522 fi;
    20523 
    20524 # ToDo
    20525 # For now, don't use the -no-undefined flag, since the Makefiles are
    20526 # not yet set up that way.  But we need to fix this, when we want
    20527 # to comile DLLs under Windows.
     20486  if test x"$enable_shared" = xyes; then
     20487    case $build in
     20488      *-cygwin* | *-mingw*)
     20489        case "$CC" in
     20490          clang* )
     20491            dependency_linking=yes
     20492            ;;
     20493          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     20494            dependency_linking=no
     20495            ;;
     20496          *gcc*)
     20497            dependency_linking=yes
     20498            ;;
     20499          *)
     20500            dependency_linking=yes
     20501            ;;
     20502        esac
     20503        ;;
     20504      *)
     20505        dependency_linking=yes
     20506        ;;
     20507    esac
     20508  fi
     20509fi
     20510
    2052820511if test "$dependency_linking" = yes ;
    2052920512then
     
    2079420777COINDEPEND_PCLIBS=
    2079520778COINDEPEND_PCREQUIRES=
    20796 COINDEPEND_DATA=
    2079720779
    2079820780
     
    2134321325CLP_PCLIBS=
    2134421326CLP_PCREQUIRES=
    21345 CLP_DATA=
    2134621327
    2134721328
     
    2189221873OSITESTS_PCLIBS=
    2189321874OSITESTS_PCREQUIRES=
    21894 OSITESTS_DATA=
    2189521875
    2189621876
     
    2237322353SAMPLE_PCLIBS=
    2237422354SAMPLE_PCREQUIRES=
    22375 SAMPLE_DATA=
    2237622355
    2237722356
     
    2285422833NETLIB_PCLIBS=
    2285522834NETLIB_PCREQUIRES=
    22856 NETLIB_DATA=
    2285722835
    2285822836
     
    2333523313MIPLIB3_PCLIBS=
    2333623314MIPLIB3_PCREQUIRES=
    23337 MIPLIB3_DATA=
    2333823315
    2333923316
     
    2512825105DYLP_PCLIBS=
    2512925106DYLP_PCREQUIRES=
    25130 DYLP_DATA=
    2513125107
    2513225108
     
    2563925615VOL_PCLIBS=
    2564025616VOL_PCREQUIRES=
    25641 VOL_DATA=
    2564225617
    2564325618
     
    2612026095CPX_PCLIBS=
    2612126096CPX_PCREQUIRES=
    26122 CPX_DATA=
    2612326097
    2612426098
     
    2666126635GLPK_PCLIBS=
    2666226636GLPK_PCREQUIRES=
    26663 GLPK_DATA=
    2666426637
    2666526638
     
    2717227145GRB_PCLIBS=
    2717327146GRB_PCREQUIRES=
    27174 GRB_DATA=
    2717527147
    2717627148
     
    2765327625MSK_PCLIBS=
    2765427626MSK_PCREQUIRES=
    27655 MSK_DATA=
    2765627627
    2765727628
     
    2816428135SPX_PCLIBS=
    2816528136SPX_PCREQUIRES=
    28166 SPX_DATA=
    2816728137
    2816828138
     
    2867528645XPR_PCLIBS=
    2867628646XPR_PCREQUIRES=
    28677 XPR_DATA=
    2867828647
    2867928648
     
    2916229131ASL_PCLIBS=
    2916329132ASL_PCREQUIRES=
    29164 ASL_DATA=
    2916529133
    2916629134
  • trunk/Cbc/src/Makefile.in

    r2048 r2109  
    325325GRB_LIBS = @GRB_LIBS@
    326326GRB_LIBS_INSTALLED = @GRB_LIBS_INSTALLED@
    327 GREP = @GREP@
    328327HAVE_EXTERNALS_FALSE = @HAVE_EXTERNALS_FALSE@
    329328HAVE_EXTERNALS_TRUE = @HAVE_EXTERNALS_TRUE@
     
    403402PACKAGE_STRING = @PACKAGE_STRING@
    404403PACKAGE_TARNAME = @PACKAGE_TARNAME@
    405 PACKAGE_URL = @PACKAGE_URL@
    406404PACKAGE_VERSION = @PACKAGE_VERSION@
    407405PATH_SEPARATOR = @PATH_SEPARATOR@
     
    447445abs_source_dir = @abs_source_dir@
    448446ac_c_preproc_warn_flag = @ac_c_preproc_warn_flag@
     447ac_ct_AR = @ac_ct_AR@
    449448ac_ct_CC = @ac_ct_CC@
    450449ac_ct_CXX = @ac_ct_CXX@
    451450ac_ct_F77 = @ac_ct_F77@
     451ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
     452ac_ct_RANLIB = @ac_ct_RANLIB@
     453ac_ct_STRIP = @ac_ct_STRIP@
    452454ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    453455am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
     
    473475coin_have_doxygen = @coin_have_doxygen@
    474476datadir = @datadir@
    475 datarootdir = @datarootdir@
    476 docdir = @docdir@
    477 dvidir = @dvidir@
    478477exec_prefix = @exec_prefix@
    479478have_autoconf = @have_autoconf@
     
    486485host_os = @host_os@
    487486host_vendor = @host_vendor@
    488 htmldir = @htmldir@
    489487includedir = @includedir@
    490488infodir = @infodir@
     
    492490libdir = @libdir@
    493491libexecdir = @libexecdir@
    494 localedir = @localedir@
    495492localstatedir = @localstatedir@
    496493mandir = @mandir@
    497494mkdir_p = @mkdir_p@
    498495oldincludedir = @oldincludedir@
    499 pdfdir = @pdfdir@
    500496prefix = @prefix@
    501497program_transform_name = @program_transform_name@
    502 psdir = @psdir@
    503498sbindir = @sbindir@
    504499sharedstatedir = @sharedstatedir@
  • trunk/Dependencies

    r1860 r2109  
    1 BuildTools        https://projects.coin-or.org/svn/BuildTools/stable/0.7
    2 ThirdParty/ASL    https://projects.coin-or.org/svn/BuildTools/ThirdParty/ASL/stable/1.2
    3 ThirdParty/Blas   https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/stable/1.3
    4 ThirdParty/Lapack https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/stable/1.4
    5 ThirdParty/Glpk   https://projects.coin-or.org/svn/BuildTools/ThirdParty/Glpk/stable/1.9
    6 ThirdParty/Metis  https://projects.coin-or.org/svn/BuildTools/ThirdParty/Metis/stable/1.2
    7 ThirdParty/Mumps  https://projects.coin-or.org/svn/BuildTools/ThirdParty/Mumps/stable/1.4
     1BuildTools        https://projects.coin-or.org/svn/BuildTools/stable/0.8
     2ThirdParty/ASL    https://projects.coin-or.org/svn/BuildTools/ThirdParty/ASL/stable/1.3
     3ThirdParty/Blas   https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/stable/1.4
     4ThirdParty/Lapack https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/stable/1.5
     5ThirdParty/Glpk   https://projects.coin-or.org/svn/BuildTools/ThirdParty/Glpk/stable/1.10
     6ThirdParty/Metis  https://projects.coin-or.org/svn/BuildTools/ThirdParty/Metis/stable/1.3
     7ThirdParty/Mumps  https://projects.coin-or.org/svn/BuildTools/ThirdParty/Mumps/stable/1.5
    88Data/Sample       https://projects.coin-or.org/svn/Data/Sample/stable/1.2
    99Data/miplib3      https://projects.coin-or.org/svn/Data/miplib3/stable/1.2
  • trunk/Makefile.in

    r1604 r2109  
    128128DEFS = @DEFS@
    129129DEPDIR = @DEPDIR@
     130DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     131DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    130132ECHO = @ECHO@
    131133ECHO_C = @ECHO_C@
  • trunk/configure

    r1945 r2109  
    490490ac_subdirs_all="$ac_subdirs_all Cgl"
    491491ac_subdirs_all="$ac_subdirs_all Cbc"
    492 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COIN_SKIP_PROJECTS subdirs coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     492ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS COIN_SKIP_PROJECTS subdirs coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    493493ac_subst_files=''
    494494
     
    11141114  --enable-debug          compile all projects with debug options tests
    11151115                          (implies --disable-shared)
    1116   --enable-doscompile     Under Cygwin, compile so that executables run under
    1117                           DOS. Set to mingw to use gcc/g++/ld with
    1118                           -mno-cygwin. Set to msvc to use cl/link (or
    1119                           icl/link). Default when mentioned: mingw. Default
    1120                           when not mentioned: disabled.
     1116
     1117  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    11211118  --enable-static[=PKGS]
    11221119                          build static libraries [default=no]
     
    18041801
    18051802# Get the name of the C compiler and appropriate compiler options
    1806 case $build in
    1807   *-mingw*)
    1808     if test "${LD+set}" = set; then :; else
    1809       LD=link
    1810     fi
    1811     ;;
    1812  esac
    1813  case $enable_doscompile in
    1814    msvc)
    1815      if test "x${LD+set}" = xset; then :; else
    1816        LD=link
    1817      fi
    1818      ;;
    1819  esac
    1820 
    1821 
    1822  # Check whether --enable-doscompile or --disable-doscompile was given.
     1803
     1804
     1805  # for backward compatibility
     1806  # Check whether --enable-doscompile or --disable-doscompile was given.
    18231807if test "${enable_doscompile+set}" = set; then
    18241808  enableval="$enable_doscompile"
    1825   if test "$enable_doscompile" != no; then
    1826      case $build in
    1827        *-cygwin* | *-mingw*) ;;
    1828        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1829 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1830    { (exit 1); exit 1; }; } ;;
    1831      esac
    1832    fi
     1809  enable_doscompile=$enableval
    18331810else
    18341811  enable_doscompile=no
    18351812fi;
    1836  case "$enable_doscompile" in
    1837    mingw)
    1838      case $build in
    1839        *-mingw*) enable_doscompile=no ;;
    1840      esac
    1841      ;;
    1842    msvc|no) ;;
    1843    yes) enable_doscompile=mingw ;;
    1844    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1845                     Try configure --help=recursive." >&5
    1846 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1847                     Try configure --help=recursive." >&2;}
     1813
     1814  # Check whether --enable-msvc or --disable-msvc was given.
     1815if test "${enable_msvc+set}" = set; then
     1816  enableval="$enable_msvc"
     1817  enable_msvc=$enableval
     1818else
     1819  enable_msvc=no
     1820     if test "$enable_doscompile" = msvc ; then
     1821       enable_msvc=yes
     1822     elif test "$enable_doscompile" != no ; then
     1823       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1824echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    18481825   { (exit 1); exit 1; }; }
    1849       ;;
    1850   esac
    1851   if test "$enable_doscompile" != no ; then
    1852     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1853 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1854   fi
    1855 
     1826     fi
     1827
     1828fi;
     1829
     1830  if test "$enable_msvc" = MD; then
     1831    enable_shared=yes
     1832    enable_msvc=yes
     1833  fi
     1834
     1835  if test "$enable_msvc" = yes; then
     1836    case $build in
     1837      *-cygwin* | *-mingw*) ;;
     1838      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1839echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1840   { (exit 1); exit 1; }; } ;;
     1841    esac
     1842  fi
    18561843
    18571844
     
    18951882case $build in
    18961883  *-cygwin* | *-mingw*)
    1897              if test "$enable_doscompile" = msvc ; then
    1898                comps="icl cl"
     1884             if test "$enable_msvc" = yes ; then
     1885               comps="icl cl gcc"
    18991886             else
    1900                comps="gcc cl"
     1887               comps="gcc icl cl"
    19011888             fi ;;
    19021889  *-*-solaris*)
     
    19591946             fi
    19601947             ;;
     1948  *-*-darwin*) comps="clang gcc cc" ;;
    19611949  *-linux-gnu*) comps="gcc cc pgcc icc xlc" ;;
    19621950  *-linux-*) comps="xlc gcc cc pgcc icc" ;;
     
    26952683echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
    26962684    fi ;;
     2685  * )
     2686    if test x"$CYGPATH_W" = x ; then
     2687      CYGPATH_W=echo
     2688    fi
     2689    ;;
    26972690esac
    26982691CFLAGS="$save_cflags"
     
    27482741            ;;
    27492742        esac
    2750         case $enable_doscompile in
    2751           mingw)
    2752             CFLAGS="-mno-cygwin"
    2753             cat >conftest.$ac_ext <<_ACEOF
    2754 /* confdefs.h.  */
    2755 _ACEOF
    2756 cat confdefs.h >>conftest.$ac_ext
    2757 cat >>conftest.$ac_ext <<_ACEOF
    2758 /* end confdefs.h.  */
    2759 
    2760 int
    2761 main ()
    2762 {
    2763 int i=0; i++;
    2764   ;
    2765   return 0;
    2766 }
    2767 _ACEOF
    2768 rm -f conftest.$ac_objext conftest$ac_exeext
    2769 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2770   (eval $ac_link) 2>conftest.er1
    2771   ac_status=$?
    2772   grep -v '^ *+' conftest.er1 >conftest.err
    2773   rm -f conftest.er1
    2774   cat conftest.err >&5
    2775   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2776   (exit $ac_status); } &&
    2777          { ac_try='test -z "$ac_c_werror_flag"
    2778                          || test ! -s conftest.err'
    2779   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2780   (eval $ac_try) 2>&5
    2781   ac_status=$?
    2782   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2783   (exit $ac_status); }; } &&
    2784          { ac_try='test -s conftest$ac_exeext'
    2785   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2786   (eval $ac_try) 2>&5
    2787   ac_status=$?
    2788   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2789   (exit $ac_status); }; }; then
    2790   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2791 else
    2792   echo "$as_me: failed program was:" >&5
    2793 sed 's/^/| /' conftest.$ac_ext >&5
    2794 
    2795 fi
    2796 rm -f conftest.err conftest.$ac_objext \
    2797       conftest$ac_exeext conftest.$ac_ext
    2798             CFLAGS=
    2799           ;;
    2800         esac
    28012743    esac
    28022744  fi
     
    29992941fi
    30002942
    3001 # If CFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
    3002 
    3003 case "$CFLAGS" in
    3004   *-mno-cygwin*)
    3005     if test x${CPPFLAGS+set} != xset ; then
    3006       CPPFLAGS="-mno-cygwin"
    3007     else
    3008       case "$CPPFLAGS" in
    3009         *-mno-cygwin*)
    3010           ;;
    3011         *)
    3012           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    3013           ;;
    3014       esac
    3015     fi ;;
    3016 esac
    3017 
    30182943# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
    30192944if test x$COIN_PRJCT != x; then
     
    31393064  clang* ) ;;
    31403065  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3141     case $build in
    3142   *-mingw*)
    3143     if test "${LD+set}" = set; then :; else
    3144       LD=link
    3145     fi
    3146     ;;
    3147  esac
    3148  case $enable_doscompile in
    3149    msvc)
    3150      if test "x${LD+set}" = xset; then :; else
    3151        LD=link
    3152      fi
    3153      ;;
    3154  esac
    3155 
     3066    LD=link
    31563067    ;;
    31573068esac
     
    31873098case $build in
    31883099  *-cygwin* | *-mingw*)
    3189              if test "$enable_doscompile" = msvc ; then
    3190                comps="icl cl"
    3191              else
    3192                comps="g++ cl"
    3193              fi ;;
     3100      if test "$enable_msvc" = yes ; then
     3101         comps="icl cl g++"
     3102      else
     3103         comps="g++ icl cl"
     3104      fi ;;
    31943105  *-*-solaris*)
    31953106             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
    3196   *-darwin*) comps="g++ c++ CC" ;;
     3107  *-darwin*) comps="clang++ g++ c++ CC" ;;
    31973108  *-linux-gnu*)
    31983109             comps="g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC xlC_r aCC CC" ;;
     
    36313542# It seems that we need to cleanup something here for the Windows
    36323543case "$CXX" in
    3633   clang* ) ;;
     3544  clang* | */clang*) ;;
    36343545  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    36353546    sed -e 's/^void exit (int);//' confdefs.h >> confdefs.hh
     
    36603571echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
    36613572    fi ;;
     3573  * )
     3574    if test x"$CYGPATH_W" = x ; then
     3575      CYGPATH_W=echo
     3576    fi
     3577    ;;
    36623578esac
    36633579CXXFLAGS="$save_cxxflags"
     
    36953611            coin_warn_cxxflags="-pedantic-errors $coin_warn_cxxflags"
    36963612            ;;
    3697         esac
    3698 
    3699         case $enable_doscompile in
    3700           mingw)
    3701             CXXFLAGS="-mno-cygwin"
    3702             cat >conftest.$ac_ext <<_ACEOF
    3703 /* confdefs.h.  */
    3704 _ACEOF
    3705 cat confdefs.h >>conftest.$ac_ext
    3706 cat >>conftest.$ac_ext <<_ACEOF
    3707 /* end confdefs.h.  */
    3708 
    3709 int
    3710 main ()
    3711 {
    3712 int i=0; i++;
    3713   ;
    3714   return 0;
    3715 }
    3716 _ACEOF
    3717 rm -f conftest.$ac_objext conftest$ac_exeext
    3718 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3719   (eval $ac_link) 2>conftest.er1
    3720   ac_status=$?
    3721   grep -v '^ *+' conftest.er1 >conftest.err
    3722   rm -f conftest.er1
    3723   cat conftest.err >&5
    3724   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3725   (exit $ac_status); } &&
    3726          { ac_try='test -z "$ac_cxx_werror_flag"
    3727                          || test ! -s conftest.err'
    3728   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3729   (eval $ac_try) 2>&5
    3730   ac_status=$?
    3731   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3732   (exit $ac_status); }; } &&
    3733          { ac_try='test -s conftest$ac_exeext'
    3734   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3735   (eval $ac_try) 2>&5
    3736   ac_status=$?
    3737   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3738   (exit $ac_status); }; }; then
    3739   coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
    3740 else
    3741   echo "$as_me: failed program was:" >&5
    3742 sed 's/^/| /' conftest.$ac_ext >&5
    3743 
    3744 fi
    3745 rm -f conftest.err conftest.$ac_objext \
    3746       conftest$ac_exeext conftest.$ac_ext
    3747             CXXFLAGS=
    3748           ;;
    37493613        esac
    37503614    esac
     
    39593823fi
    39603824
    3961 # If CXXFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
    3962 
    3963 case "$CXXFLAGS" in
    3964   *-mno-cygwin*)
    3965     if test x${CPPFLAGS+set} != xset ; then
    3966       CPPFLAGS="-mno-cygwin"
    3967     else
    3968       case "$CPPFLAGS" in
    3969         *-mno-cygwin*)
    3970           ;;
    3971         *)
    3972           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    3973           ;;
    3974       esac
    3975     fi ;;
    3976 esac
    3977 
    39783825# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
    39793826if test x$COIN_PRJCT != x; then
     
    40953942fi
    40963943
    4097 # correct the LD variable in a mingw build with MS or intel compiler
     3944# correct the LD variable in a build with MS or intel compiler
    40983945case "$CXX" in
    40993946  clang* ) ;;
    41003947  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4101     case $build in
    4102   *-mingw*)
    4103     if test "${LD+set}" = set; then :; else
    4104       LD=link
    4105     fi
    4106     ;;
    4107  esac
    4108  case $enable_doscompile in
    4109    msvc)
    4110      if test "x${LD+set}" = xset; then :; else
    4111        LD=link
    4112      fi
    4113      ;;
    4114  esac
    4115 
     3948    LD=link
    41163949    ;;
    41173950esac
     
    41283961case $build in
    41293962  *-cygwin* | *-mingw*)
    4130      if test "$enable_doscompile" = msvc ; then
    4131        coin_f77_comps="ifort fl32 compile_f2c"
     3963     if test "$enable_msvc" = yes ; then
     3964       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    41323965     else
    41333966       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    41393972  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    41403973 esac
    4141 
    41423974
    41433975
     
    43544186
    43554187# Provide some information about the compiler.
    4356 echo "$as_me:4356:" \
     4188echo "$as_me:4188:" \
    43574189     "checking for Fortran 77 compiler version" >&5
    43584190ac_compiler=`set X $ac_compile; echo $2`
     
    45234355    coin_add_fflags="-pipe"
    45244356    coin_dbg_fflags="-g -O0"
    4525     case $enable_doscompile in
    4526       mingw)
    4527         FFLAGS="-mno-cygwin"
    4528         cat >conftest.$ac_ext <<_ACEOF
    4529       program main
    4530       write(*,*) 'Hello world'
    4531       end
    4532 _ACEOF
    4533 rm -f conftest.$ac_objext conftest$ac_exeext
    4534 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4535   (eval $ac_link) 2>conftest.er1
    4536   ac_status=$?
    4537   grep -v '^ *+' conftest.er1 >conftest.err
    4538   rm -f conftest.er1
    4539   cat conftest.err >&5
    4540   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4541   (exit $ac_status); } &&
    4542          { ac_try='test -z "$ac_f77_werror_flag"
    4543                          || test ! -s conftest.err'
    4544   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4545   (eval $ac_try) 2>&5
    4546   ac_status=$?
    4547   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4548   (exit $ac_status); }; } &&
    4549          { ac_try='test -s conftest$ac_exeext'
    4550   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4551   (eval $ac_try) 2>&5
    4552   ac_status=$?
    4553   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4554   (exit $ac_status); }; }; then
    4555   coin_add_fflags="-mno-cygwin $coin_add_fflags"
    4556 else
    4557   echo "$as_me: failed program was:" >&5
    4558 sed 's/^/| /' conftest.$ac_ext >&5
    4559 
    4560 fi
    4561 rm -f conftest.err conftest.$ac_objext \
    4562       conftest$ac_exeext conftest.$ac_ext
    4563         FFLAGS=
    4564       ;;
    4565     esac
    45664357  else
    45674358    case $build in
     
    47414532fi
    47424533
    4743 # If FFLAGS contains -mno-cygwin, CPPFLAGS must have it.
    4744 case "$FFLAGS" in
    4745   *-mno-cygwin*)
    4746     if test x${CPPFLAGS+set} != xset ; then
    4747       CPPFLAGS="-mno-cygwin"
    4748     else
    4749       case "$CPPFLAGS" in
    4750         *-mno-cygwin*)
    4751           ;;
    4752         *)
    4753           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    4754           ;;
    4755       esac
    4756     fi ;;
    4757 esac
    4758 
    47594534# Try if FFLAGS works
    47604535if test "$F77" != "unavailable" ; then
     
    48554630case "$F77" in
    48564631  ifort* | */ifort* | IFORT* | */IFORT*)
    4857     case $build in
    4858   *-mingw*)
    4859     if test "${LD+set}" = set; then :; else
    4860       LD=link
    4861     fi
    4862     ;;
    4863  esac
    4864  case $enable_doscompile in
    4865    msvc)
    4866      if test "x${LD+set}" = xset; then :; else
    4867        LD=link
    4868      fi
    4869      ;;
    4870  esac
    4871 
     4632    LD=link
    48724633    ;;
    48734634esac
     
    48994660  enable_shared=yes;
    49004661else
    4901   # On Cygwin and AIX, building DLLs doesn't work
    49024662  case $build in
    4903     *-cygwin*)
     4663    *-cygwin* | *-mingw*)
    49044664      coin_disable_shared=yes
    4905       platform=Cygwin
     4665      if test x"$enable_shared" = xyes; then
     4666        case "$CC" in
     4667          clang* )
     4668            { echo "$as_me:$LINENO: WARNING: Building of DLLs not supported in this configuration." >&5
     4669echo "$as_me: WARNING: Building of DLLs not supported in this configuration." >&2;}
     4670            ;;
     4671          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     4672            { echo "$as_me:$LINENO: Building of DLLs not supported in this configuration." >&5
     4673echo "$as_me: Building of DLLs not supported in this configuration." >&6;}
     4674            ;;
     4675          *gcc*)
     4676            if test x"$enable_dependency_linking" = xyes; then
     4677              coin_disable_shared=no
     4678            else
     4679              { echo "$as_me:$LINENO: WARNING: Dependency linking seems to be disabled, so shared libraries (DLLs) will not be built" >&5
     4680echo "$as_me: WARNING: Dependency linking seems to be disabled, so shared libraries (DLLs) will not be built" >&2;}
     4681            fi
     4682            ;;
     4683          *)
     4684            { echo "$as_me:$LINENO: WARNING: Building of DLLs not supported in this configuration." >&5
     4685echo "$as_me: WARNING: Building of DLLs not supported in this configuration." >&2;}
     4686            ;;
     4687        esac
     4688      fi
    49064689    ;;
    49074690    *-aix*)
    49084691      coin_disable_shared=yes
    49094692      platform=AIX
    4910     ;;
    4911     *-mingw*)
    4912       coin_disable_shared=yes
    4913       platform="Msys"
    4914 #      case "$CXX" in
    4915 #        cl*)
    4916 #          coin_disable_shared=yes
    4917 #          platform="Msys with cl"
    4918 #      ;;
    4919 #      esac
     4693      if test x"$enable_shared" = xyes; then
     4694        { echo "$as_me:$LINENO: WARNING: Shared objects are not supported." >&5
     4695echo "$as_me: WARNING: Shared objects are not supported." >&2;}
     4696      fi
    49204697    ;;
    49214698  esac
     
    49234700if test x"$coin_disable_shared" = xyes; then
    49244701  if test x"$enable_shared" = xyes; then
    4925     { echo "$as_me:$LINENO: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&5
    4926 echo "$as_me: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&2;}
     4702    :
    49274703  else
    49284704    # we don't disable shared, because it was not selected anyway
     
    60835859
    60845860LIBTOOL=
    6085 if test -r ../libtool; then
     5861if test -f ../libtool; then
    60865862  coin_config_dir=..
    60875863  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    60885864fi
    60895865if test "x$LIBTOOL" = x; then
    6090   if test -r ../../libtool; then
     5866  if test -f ../../libtool; then
    60915867    coin_config_dir=../..
    60925868    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     
    66346410*-*-irix6*)
    66356411  # Find out which ABI we are using.
    6636   echo '#line 6636 "configure"' > conftest.$ac_ext
     6412  echo '#line 6412 "configure"' > conftest.$ac_ext
    66376413  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    66386414  (eval $ac_compile) 2>&5
     
    85988374   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85998375   -e 's:$: $lt_compiler_flag:'`
    8600    (eval echo "\"\$as_me:8600: $lt_compile\"" >&5)
     8376   (eval echo "\"\$as_me:8376: $lt_compile\"" >&5)
    86018377   (eval "$lt_compile" 2>conftest.err)
    86028378   ac_status=$?
    86038379   cat conftest.err >&5
    8604    echo "$as_me:8604: \$? = $ac_status" >&5
     8380   echo "$as_me:8380: \$? = $ac_status" >&5
    86058381   if (exit $ac_status) && test -s "$ac_outfile"; then
    86068382     # The compiler can only warn and ignore the option if not recognized
     
    88668642   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    88678643   -e 's:$: $lt_compiler_flag:'`
    8868    (eval echo "\"\$as_me:8868: $lt_compile\"" >&5)
     8644   (eval echo "\"\$as_me:8644: $lt_compile\"" >&5)
    88698645   (eval "$lt_compile" 2>conftest.err)
    88708646   ac_status=$?
    88718647   cat conftest.err >&5
    8872    echo "$as_me:8872: \$? = $ac_status" >&5
     8648   echo "$as_me:8648: \$? = $ac_status" >&5
    88738649   if (exit $ac_status) && test -s "$ac_outfile"; then
    88748650     # The compiler can only warn and ignore the option if not recognized
     
    89708746   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    89718747   -e 's:$: $lt_compiler_flag:'`
    8972    (eval echo "\"\$as_me:8972: $lt_compile\"" >&5)
     8748   (eval echo "\"\$as_me:8748: $lt_compile\"" >&5)
    89738749   (eval "$lt_compile" 2>out/conftest.err)
    89748750   ac_status=$?
    89758751   cat out/conftest.err >&5
    8976    echo "$as_me:8976: \$? = $ac_status" >&5
     8752   echo "$as_me:8752: \$? = $ac_status" >&5
    89778753   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    89788754   then
     
    1131511091  lt_status=$lt_dlunknown
    1131611092  cat > conftest.$ac_ext <<EOF
    11317 #line 11317 "configure"
     11093#line 11093 "configure"
    1131811094#include "confdefs.h"
    1131911095
     
    1141511191  lt_status=$lt_dlunknown
    1141611192  cat > conftest.$ac_ext <<EOF
    11417 #line 11417 "configure"
     11193#line 11193 "configure"
    1141811194#include "confdefs.h"
    1141911195
     
    1375913535   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1376013536   -e 's:$: $lt_compiler_flag:'`
    13761    (eval echo "\"\$as_me:13761: $lt_compile\"" >&5)
     13537   (eval echo "\"\$as_me:13537: $lt_compile\"" >&5)
    1376213538   (eval "$lt_compile" 2>conftest.err)
    1376313539   ac_status=$?
    1376413540   cat conftest.err >&5
    13765    echo "$as_me:13765: \$? = $ac_status" >&5
     13541   echo "$as_me:13541: \$? = $ac_status" >&5
    1376613542   if (exit $ac_status) && test -s "$ac_outfile"; then
    1376713543     # The compiler can only warn and ignore the option if not recognized
     
    1386313639   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1386413640   -e 's:$: $lt_compiler_flag:'`
    13865    (eval echo "\"\$as_me:13865: $lt_compile\"" >&5)
     13641   (eval echo "\"\$as_me:13641: $lt_compile\"" >&5)
    1386613642   (eval "$lt_compile" 2>out/conftest.err)
    1386713643   ac_status=$?
    1386813644   cat out/conftest.err >&5
    13869    echo "$as_me:13869: \$? = $ac_status" >&5
     13645   echo "$as_me:13645: \$? = $ac_status" >&5
    1387013646   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1387113647   then
     
    1543315209   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1543415210   -e 's:$: $lt_compiler_flag:'`
    15435    (eval echo "\"\$as_me:15435: $lt_compile\"" >&5)
     15211   (eval echo "\"\$as_me:15211: $lt_compile\"" >&5)
    1543615212   (eval "$lt_compile" 2>conftest.err)
    1543715213   ac_status=$?
    1543815214   cat conftest.err >&5
    15439    echo "$as_me:15439: \$? = $ac_status" >&5
     15215   echo "$as_me:15215: \$? = $ac_status" >&5
    1544015216   if (exit $ac_status) && test -s "$ac_outfile"; then
    1544115217     # The compiler can only warn and ignore the option if not recognized
     
    1553715313   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1553815314   -e 's:$: $lt_compiler_flag:'`
    15539    (eval echo "\"\$as_me:15539: $lt_compile\"" >&5)
     15315   (eval echo "\"\$as_me:15315: $lt_compile\"" >&5)
    1554015316   (eval "$lt_compile" 2>out/conftest.err)
    1554115317   ac_status=$?
    1554215318   cat out/conftest.err >&5
    15543    echo "$as_me:15543: \$? = $ac_status" >&5
     15319   echo "$as_me:15319: \$? = $ac_status" >&5
    1554415320   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1554515321   then
     
    1774417520   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1774517521   -e 's:$: $lt_compiler_flag:'`
    17746    (eval echo "\"\$as_me:17746: $lt_compile\"" >&5)
     17522   (eval echo "\"\$as_me:17522: $lt_compile\"" >&5)
    1774717523   (eval "$lt_compile" 2>conftest.err)
    1774817524   ac_status=$?
    1774917525   cat conftest.err >&5
    17750    echo "$as_me:17750: \$? = $ac_status" >&5
     17526   echo "$as_me:17526: \$? = $ac_status" >&5
    1775117527   if (exit $ac_status) && test -s "$ac_outfile"; then
    1775217528     # The compiler can only warn and ignore the option if not recognized
     
    1801217788   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1801317789   -e 's:$: $lt_compiler_flag:'`
    18014    (eval echo "\"\$as_me:18014: $lt_compile\"" >&5)
     17790   (eval echo "\"\$as_me:17790: $lt_compile\"" >&5)
    1801517791   (eval "$lt_compile" 2>conftest.err)
    1801617792   ac_status=$?
    1801717793   cat conftest.err >&5
    18018    echo "$as_me:18018: \$? = $ac_status" >&5
     17794   echo "$as_me:17794: \$? = $ac_status" >&5
    1801917795   if (exit $ac_status) && test -s "$ac_outfile"; then
    1802017796     # The compiler can only warn and ignore the option if not recognized
     
    1811617892   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1811717893   -e 's:$: $lt_compiler_flag:'`
    18118    (eval echo "\"\$as_me:18118: $lt_compile\"" >&5)
     17894   (eval echo "\"\$as_me:17894: $lt_compile\"" >&5)
    1811917895   (eval "$lt_compile" 2>out/conftest.err)
    1812017896   ac_status=$?
    1812117897   cat out/conftest.err >&5
    18122    echo "$as_me:18122: \$? = $ac_status" >&5
     17898   echo "$as_me:17898: \$? = $ac_status" >&5
    1812317899   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1812417900   then
     
    2081520591    # Here we need to check if -m32 is specified.  If so, we need to correct
    2081620592    # sys_lib_search_path_spec
     20593    *-cygwin* | *-mingw*)
     20594       case "$CXX" in
     20595    clang* )
     20596      # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
     20597      { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
     20598echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
     20599      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20600          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     20601          -e 's|libext="lib"|libext="a"|' \
     20602      libtool > conftest.bla
     20603      ;;
     20604    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     20605      { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
     20606echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
     20607      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20608          -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20609          -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     20610          -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     20611          -e 's%lib /OUT:%lib -OUT:%' \
     20612          -e "s%cygpath -w%$CYGPATH_W%" \
     20613          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
     20614          -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
     20615          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
     20616          -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     20617          -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
     20618      libtool > conftest.bla
     20619      ;;
     20620    *)
     20621      { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
     20622echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
     20623      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20624          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     20625          -e 's|libext="lib"|libext="a"|' \
     20626      libtool > conftest.bla
     20627      ;;
     20628  esac
     20629  mv conftest.bla libtool
     20630  chmod 755 libtool
     20631
     20632      ;;
    2081720633    *x86_64-*)
    2081820634      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     
    2085420670      ;;
    2085520671    # Cygwin. Ah, cygwin. Too big and ugly to inline; see the macro.
    20856     *-cygwin* | *-mingw*)
    20857        case "$CXX" in
    20858     clang* )
    20859       # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
    20860       { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
    20861 echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
    20862       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20863           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    20864           -e 's|libext="lib"|libext="a"|' \
    20865       libtool > conftest.bla
    20866       ;;
    20867     cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    20868       { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
    20869 echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
    20870       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20871           -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20872           -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    20873           -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    20874           -e 's%lib /OUT:%lib -OUT:%' \
    20875           -e "s%cygpath -w%$CYGPATH_W%" \
    20876           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo '"$mydos2unix"'\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
    20877           -e 's/$AR t/lib -nologo -list/' \
    20878           -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    20879           -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
    20880           -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    20881       libtool > conftest.bla
    20882       ;;
    20883     *)
    20884       { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
    20885 echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
    20886       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20887           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    20888           -e 's|libext="lib"|libext="a"|' \
    20889       libtool > conftest.bla
    20890       ;;
    20891   esac
    20892   mv conftest.bla libtool
    20893   chmod 755 libtool
    20894 
    20895       ;;
    2089620672    *-darwin*)
    2089720673      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
     
    2100120777# AC_MSG_NOTICE([End of INIT_AUTO_TOOLS.])
    2100220778
    21003 # ToDo
    21004 # For now, don't use the -no-undefined flag, since the Makefiles are
    21005 # not yet set up that way.  But we need to fix this, when we want
    21006 # to comile DLLs under Windows.
    21007 LT_LDFLAGS=
     20779# Check whether --enable-dependency-linking or --disable-dependency-linking was given.
     20780if test "${enable_dependency_linking+set}" = set; then
     20781  enableval="$enable_dependency_linking"
     20782  dependency_linking="$enableval"
     20783else
     20784  dependency_linking=auto
     20785fi;
     20786
     20787if test "$dependency_linking" = auto; then
     20788  # On Cygwin and AIX, building DLLs doesn't work
     20789  dependency_linking=no
     20790  if test x"$enable_shared" = xyes; then
     20791    case $build in
     20792      *-cygwin* | *-mingw*)
     20793        case "$CC" in
     20794          clang* )
     20795            dependency_linking=yes
     20796            ;;
     20797          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     20798            dependency_linking=no
     20799            ;;
     20800          *gcc*)
     20801            dependency_linking=yes
     20802            ;;
     20803          *)
     20804            dependency_linking=yes
     20805            ;;
     20806        esac
     20807        ;;
     20808      *)
     20809        dependency_linking=yes
     20810        ;;
     20811    esac
     20812  fi
     20813fi
     20814
     20815if test "$dependency_linking" = yes ;
     20816then
     20817  LT_LDFLAGS="-no-undefined"
     20818else
     20819  LT_LDFLAGS=
     20820fi
     20821
     20822
     20823
     20824if test "$dependency_linking" = yes; then
     20825  DEPENDENCY_LINKING_TRUE=
     20826  DEPENDENCY_LINKING_FALSE='#'
     20827else
     20828  DEPENDENCY_LINKING_TRUE='#'
     20829  DEPENDENCY_LINKING_FALSE=
     20830fi
     20831
    2100820832
    2100920833# Check if we want to set the library version
     
    2137821202
    2137921203
    21380   if test $coin_has_lapack != skipping; then
     21204  if test $coin_has_lapack != no; then
    2138121205    #--with-lapack can overwrite --with-lapack-lib, and can be set to BUILD to enforce building lapack
    2138221206
     
    2312922953echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2313022954coin_link_input_cmd="$LN_S"
    23131 if test "$enable_doscompile" = mingw; then
    23132   coin_link_input_cmd=cp
    23133 fi
    2313422955case "$CC" in
    2313522956  clang* ) ;;
     
    2335523176Usually this means the macro was only invoked conditionally." >&5
    2335623177echo "$as_me: error: conditional \"HAVE_EXTERNALS\" was never defined.
     23178Usually this means the macro was only invoked conditionally." >&2;}
     23179   { (exit 1); exit 1; }; }
     23180fi
     23181if test -z "${DEPENDENCY_LINKING_TRUE}" && test -z "${DEPENDENCY_LINKING_FALSE}"; then
     23182  { { echo "$as_me:$LINENO: error: conditional \"DEPENDENCY_LINKING\" was never defined.
     23183Usually this means the macro was only invoked conditionally." >&5
     23184echo "$as_me: error: conditional \"DEPENDENCY_LINKING\" was never defined.
    2335723185Usually this means the macro was only invoked conditionally." >&2;}
    2335823186   { (exit 1); exit 1; }; }
     
    2398623814s,@ac_cxx_preproc_warn_flag@,$ac_cxx_preproc_warn_flag,;t t
    2398723815s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
     23816s,@DEPENDENCY_LINKING_TRUE@,$DEPENDENCY_LINKING_TRUE,;t t
     23817s,@DEPENDENCY_LINKING_FALSE@,$DEPENDENCY_LINKING_FALSE,;t t
    2398823818s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    2398923819s,@COIN_SKIP_PROJECTS@,$COIN_SKIP_PROJECTS,;t t
Note: See TracChangeset for help on using the changeset viewer.